Package weka.attributeSelection

# Class UnsupervisedSubsetEvaluator

java.lang.Object
weka.attributeSelection.ASEvaluation
weka.attributeSelection.UnsupervisedSubsetEvaluator

All Implemented Interfaces:
  `Serializable`, `SubsetEvaluator`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `RevisionHandler`

public abstract class UnsupervisedSubsetEvaluator extends ASEvaluation implements SubsetEvaluator
Abstract unsupervised attribute subset evaluator.

Version:
  $Revision: 8034 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupervisedSubsetEvaluator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Clusterer`
  `getClusterer()`
  Get the clusterer
  `abstract int`
  `getNumClusters()`
  Return the number of clusters used by the subset evaluator
  `abstract void`
  `setClusterer(Clusterer d)`
  Set the clusterer to use

  ### Methods inherited from class weka.attributeSelection.ASEvaluation

  `buildEvaluator, clean, doNotCheckCapabilitiesTipText, forName, getCapabilities, getDoNotCheckCapabilities, getOptions, getRevision, listOptions, makeCopies, postExecution, postProcess, preExecution, run, runEvaluator, setDoNotCheckCapabilities, setOptions`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface weka.attributeSelection.SubsetEvaluator

  `evaluateSubset`

- ## Constructor Details

  - ### UnsupervisedSubsetEvaluator

    public UnsupervisedSubsetEvaluator()

- ## Method Details

  - ### getNumClusters

    public abstract int getNumClusters() throws Exception
    Return the number of clusters used by the subset evaluator
    Returns:
      the number of clusters used
    Throws:
      `Exception` - if an error occurs

  - ### getClusterer

    public abstract Clusterer getClusterer()
    Get the clusterer
    Returns:
      the clusterer

  - ### setClusterer

    public abstract void setClusterer(Clusterer d)
    Set the clusterer to use
    Parameters:
      `d` - the clusterer to use